> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/postgresql/how-tos/v2/delete-postgresql-cluster.md).

# Delete a PostgreSQL Cluster

You can delete a PostgreSQL cluster that is no longer required. Deletion is permanent and cannot be undone.

{% hint style="warning" %}
**Warning:** Deleting a cluster permanently removes all its data, including backups. Ensure you have exported any data you need before proceeding.
{% endhint %}

To delete a PostgreSQL cluster, follow these steps:

{% stepper %}
{% step %}

## Navigate to the cluster list

1\. In the **DCD**, go to **Menu** > **Databases** > **PostgreSQL**.

A list of all PostgreSQL clusters is displayed.

{% hint style="info" %}
**Note:** v1 clusters appear in the **Legacy Clusters** section below the main cluster list. The steps below apply to both v2 clusters and legacy clusters.
{% endhint %}
{% endstep %}

{% step %}

## Delete the cluster

Click ![Options menu](/files/zMw81MF9KCPxOHBMLSog) in the **OPTIONS** column of the cluster you want to delete, then select **Delete**.

![Delete a PostgreSQL cluster](/files/JoMPAPnVxjHI2V6fEdjT)

Alternatively, you can also delete a cluster using the following options:

<details>

<summary>Option 1</summary>

Select the cluster by clicking its name, then select **Delete** in the **Cluster details** tab.

![Delete from cluster details](/files/BXTEdK6Ghkat6nRsBJz6)

</details>

<details>

<summary>Option 2</summary>

Select the cluster by clicking its name, then select **Edit** in the **Cluster details** tab. In the **Edit** page, select **Delete cluster**.

![Delete from edit page](/files/hcGmZT62NBWSa6TQeph7)

</details>
{% endstep %}

{% step %}

## Confirm deletion

In the confirmation dialog, select **Delete** to confirm.

{% hint style="success" %}
**Result:** The **STATE** of the cluster is set to **DESTROYING** while deletion is in progress. Once complete, the cluster is permanently removed from the list.
{% endhint %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/databases/postgresql/how-tos/v2/delete-postgresql-cluster.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
